<!-- THIS PART OF THIS FILE IS AUTOGENERATED. DO NOT MODIFY IT. See scripts/generate-docs.sh -->
# cyclic

```text
usage: cyclic [-h] [-a charset] [-n length] [-l lookup_value]
              [count] [filename]

```

Cyclic pattern creator/finder.
### Positional arguments

|Positional Argument|Help|
| :--- | :--- |
|count|Number of characters to print from the sequence (default: print the entire sequence) (default: 100)|
|filename|Name (path) of the file to save the cyclic pattern to|

### Optional arguments

|Short|Long|Help|
| :--- | :--- | :--- |
|-h|--help|show this help message and exit|
|-a|--alphabet|The alphabet to use in the cyclic pattern (default: abcdefghijklmnopqrstuvwxyz)|
|-n|--length|Size of the unique subsequences (defaults to the pointer size for the current arch)|
|-o|--lookup|Do a lookup instead of printing the sequence (accepts constant values as well as expressions)|

<!-- END OF AUTOGENERATED PART. Do not modify this line or the line below, they mark the end of the auto-generated part of the file. If you want to extend the documentation in a way which cannot easily be done by adding to the command help description, write below the following line. -->
<!-- ------------\>8---- ----\>8---- ----\>8------------ -->
